# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc新增控销的商品至购物车列表,2252,2252-3,sit,bs
主数据平台:多采商城购物车列表新增商品接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_buyercar_list"

# 步骤一登录后台管理系统查询控销商品列表获取已下架商品信息
# 获取登录后台管理系统所需账号密码
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)
# 查询控销商品列表获取已下架商品信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url70")
request_body = commonFuc().get_business_data(module, "payload70")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
if result["data"]["list"][0]["isControlSales"] == 1:
    product_id = result["data"]["list"][0]["productId"]
    price = result["data"]["list"][0]["referencePrice"]
    filiale_code = result["data"]["list"][0]["filialeCode"]
    # 第二步登录多采商城添加商品至购物车列表
    # 获取登录多采商城所需账号密码
    username = commonFuc().get_business_data(module, "username")
    password = commonFuc().get_business_data(module, "password")
    # 获取登录后Cmdc_access_token
    cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
    headers = commonFuc().get_business_data(module, "json_headers7", cmdc_access_token)
    url1 = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2")
    request_body = commonFuc().get_business_data(module, "payload7", product_id, price, filiale_code)
    """
     场景:新增控销的商品至购物车列表
     用例名称：新增控销的商品至购物车列表
     输出：{"success":false,"code":"addBuyerCartFail","message":"商品为控销商品，不可加入购物车","data":null,"freshToken":null}
    """
    # 发送请求
    result1 = requests.post(url1, json=request_body, headers=headers)
    result1 = json.loads(result1.content)
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict7")
    print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result1)
